Opened 4 years ago

Closed 3 years ago

Last modified 3 years ago

#1836 closed Bug (fixed)

Fix timing for AGRIF

Reported by: fschwarzkopf Owned by: mchekki
Priority: low Milestone:
Component: AGRIF Version: release-3.6
Severity: Keywords: AGRIF timing
Cc: mchekki

Description (last modified by nicolasmartin)

Context

In AGRIF simulations the #child_timing files only contain headers without any timing-values.

Analysis

In nemogcm.F90, timing_finalize is incorrectly called for the children; consequently only timing values for the parent grid are provided:

191       !
192 #if defined key_agrif
193       IF( .NOT. Agrif_Root() ) THEN
194          CALL Agrif_ParentGrid_To_ChildGrid()
195          IF( lk_diaobs ) CALL dia_obs_wri
196          IF( nn_timing == 1 )   CALL timing_finalize
197          CALL Agrif_ChildGrid_To_ParentGrid()
198       ENDIF
199 #endif
200       IF( nn_timing == 1 )   CALL timing_finalize
201       !
202       CALL nemo_closefile
203       !

Fix

Remove IF( .NOT. Agrif_Root() ) conditon:

191       !
192 #if defined key_agrif
193
194          CALL Agrif_ParentGrid_To_ChildGrid()
195          IF( lk_diaobs ) CALL dia_obs_wri
196          IF( nn_timing == 1 )   CALL timing_finalize
197          CALL Agrif_ChildGrid_To_ParentGrid()
198
199 #endif
200       IF( nn_timing == 1 )   CALL timing_finalize
201       !
202       CALL nemo_closefile
203       !

Commit History (3)

ChangesetAuthorTimeChangeLog
8974clem2017-12-11T13:55:33+01:00

put back an IF(.NOT. Agrif_root) in nemogcm that was removed in the trunk at r8570 for timing purpose. See also ticket #1836. This fix is needed for the SETTE test AGRIF NOZOOM otherwise core files are created (because of the call to Agrif_ParentGrid_To_ChildGrid())

8570mchekki2017-09-28T09:50:09+02:00

Fix Timing Output File? for AGRIF: Ticket #1836

8566mchekki2017-09-27T15:15:25+02:00

Fix Timing Output File? for AGRIF: Ticket #1836

Change History (7)

comment:1 Changed 3 years ago by jchanut

  • Component changed from OPA to AGRIF

comment:2 Changed 3 years ago by clevy

  • Owner changed from nemo to mchekki

comment:3 Changed 3 years ago by clevy

  • Cc mchekki added
  • Status changed from new to assigned

comment:4 Changed 3 years ago by mchekki

Analysis

I run AGRIF before and after using the patch proposed by Franziska. Now I get the timing output file (1_timing.output) for child filled with values…

comment:5 Changed 3 years ago by mchekki

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:6 Changed 3 years ago by nicolasmartin

  • Description modified (diff)

comment:7 Changed 3 years ago by clem

In 8974:

put back an IF(.NOT. Agrif_root) in nemogcm that was removed in the trunk at r8570 for timing purpose. See also ticket #1836. This fix is needed for the SETTE test AGRIF NOZOOM otherwise core files are created (because of the call to Agrif_ParentGrid_To_ChildGrid())

Note: See TracTickets for help on using tickets.